Notices


Reply
Thread Tools
kollin's Avatar
Posts: 193 | Thanked: 202 times | Joined on Jun 2012 @ Sofia, Bulgaria
#21
Originally Posted by rainisto View Post
Thats just debug message that can be ignored.
Thank you! *hugz*
__________________
Dear Enemy: may the Lord hate you and all your kind, may you be turned orange in hue, and may your head fall off at an awkward moment.
How to tell Heretics from Catholics?Papal legate Arnaud Amalric answers :Caedite eos. Novit enim Dominus qui sunt eius.(Kill them all, the Lord will recognise His own.)
“Get thee to Hell, where Asmodeus himself may suckle upon your diseased teat!”
Barnabas Collins
 
kollin's Avatar
Posts: 193 | Thanked: 202 times | Joined on Jun 2012 @ Sofia, Bulgaria
#22
Originally Posted by Bundyo View Post
The Harmattan one works fine - just extract it along with libslang and voila
Is there a way to make a proper jolla/mer/nemo package from it?
__________________
Dear Enemy: may the Lord hate you and all your kind, may you be turned orange in hue, and may your head fall off at an awkward moment.
How to tell Heretics from Catholics?Papal legate Arnaud Amalric answers :Caedite eos. Novit enim Dominus qui sunt eius.(Kill them all, the Lord will recognise His own.)
“Get thee to Hell, where Asmodeus himself may suckle upon your diseased teat!”
Barnabas Collins
 
Bundyo's Avatar
Posts: 4,491 | Thanked: 3,819 times | Joined on Oct 2007 @ Bulgaria
#23
Probably would be easy adapting the openSUSE armv7hl packages for Jolla:

http://download.opensuse.org/reposit...E_Factory_ARM/
__________________
Technically, there are three determinate states the cat could be in: Alive, Dead, and Bloody Furious.
 

The Following User Says Thank You to Bundyo For This Useful Post:
kollin's Avatar
Posts: 193 | Thanked: 202 times | Joined on Jun 2012 @ Sofia, Bulgaria
#24
Originally Posted by Bundyo View Post
Probably would be easy adapting the openSUSE armv7hl packages for Jolla:

http://download.opensuse.org/reposit...E_Factory_ARM/
But how? I'm Gentoo user and the rpm system is absolutely alien to me?
__________________
Dear Enemy: may the Lord hate you and all your kind, may you be turned orange in hue, and may your head fall off at an awkward moment.
How to tell Heretics from Catholics?Papal legate Arnaud Amalric answers :Caedite eos. Novit enim Dominus qui sunt eius.(Kill them all, the Lord will recognise His own.)
“Get thee to Hell, where Asmodeus himself may suckle upon your diseased teat!”
Barnabas Collins
 
Bundyo's Avatar
Posts: 4,491 | Thanked: 3,819 times | Joined on Oct 2007 @ Bulgaria
#25
rpmbuild with the src package in a Jolla environment
__________________
Technically, there are three determinate states the cat could be in: Alive, Dead, and Bloody Furious.
 
kollin's Avatar
Posts: 193 | Thanked: 202 times | Joined on Jun 2012 @ Sofia, Bulgaria
#26
Originally Posted by Bundyo View Post
rpmbuild with the src package in a Jolla environment
Well i tried, it dies with:

Code:
[nemo@localhost mcsrc]$ rpmbuild --rebuild mc-4.8.11-90.4.src.rpm 
Installing mc-4.8.11-90.4.src.rpm
warning: InstallSourcePackage at: psm.c:238: Header V3 RSA/SHA1 Signature, key ID e2c0098c: NOKEY
error: line 88: Unknown tag: Recommends:     mc-lang = 4.8.11
What does it mean?


Used those links for directions:
http://wiki.centos.org/HowTos/SetupRpmBuildEnvironment
http://wiki.centos.org/HowTos/RebuildSRPM

Ok commented some lines in the spec file now the drama is different:

Code:
rpmbuild -ba mc.spec 
error: Failed build dependencies:
        audiofile-devel is needed by mc-4.8.11-90.1.armv7hl
        e2fsprogs-devel is needed by mc-4.8.11-90.1.armv7hl
        fdupes is needed by mc-4.8.11-90.1.armv7hl
        glib2-devel is needed by mc-4.8.11-90.1.armv7hl
        libtool is needed by mc-4.8.11-90.1.armv7hl
        gpm is needed by mc-4.8.11-90.1.armv7hl
        indent is needed by mc-4.8.11-90.1.armv7hl
        jpeg is needed by mc-4.8.11-90.1.armv7hl
        libjpeg-devel is needed by mc-4.8.11-90.1.armv7hl
        libpng-devel is needed by mc-4.8.11-90.1.armv7hl
        libssh2-devel is needed by mc-4.8.11-90.1.armv7hl
        readline-devel is needed by mc-4.8.11-90.1.armv7hl
        slang-devel is needed by mc-4.8.11-90.1.armv7hl
        update-desktop-files is needed by mc-4.8.11-90.1.armv7hl
        xorg-x11-devel is needed by mc-4.8.11-90.1.armv7hl
[nemo@localhost SPECS]$


zypper can't find the devel packages my be they are in different repo?
__________________
Dear Enemy: may the Lord hate you and all your kind, may you be turned orange in hue, and may your head fall off at an awkward moment.
How to tell Heretics from Catholics?Papal legate Arnaud Amalric answers :Caedite eos. Novit enim Dominus qui sunt eius.(Kill them all, the Lord will recognise His own.)
“Get thee to Hell, where Asmodeus himself may suckle upon your diseased teat!”
Barnabas Collins

Last edited by kollin; 2014-01-07 at 19:35.
 
Posts: 521 | Thanked: 469 times | Joined on May 2010 @ nanaurbusiness
#27
Originally Posted by szopin View Post
edit: wow, building on-device is a bliss, MC compiles/installs nicely, just make sure to configure with '--with-screen=ncurses' as there is no slang currently
Could you please explain in detail which version did you pick and how you possibly got around the glib-2.0 error...
If I ./configure it always quits with
Code:
configure: error: glib-2.0 not found or version too old (must be >= 2.12)
although I have glib2-2.32.4-1.2.1.armv7hl and glibc-2.15-1.1.1.armv7hl installed.

I'm using lates src of mc-4.8.11.

Thanks in advance,

J4ZZ
__________________

N900 ~ $ make me a sandwich
-bash: no, make it yourself
N900 ~ $ sudo make me a sandwich
-bash: ok then...
 
Guest | Posts: n/a | Thanked: 0 times | Joined on
#28
Originally Posted by J4ZZ View Post
Could you please explain in detail which version did you pick and how you possibly got around the glib-2.0 error...
If I ./configure it always quits with
Code:
configure: error: glib-2.0 not found or version too old (must be >= 2.12)
although I have glib2-2.32.4-1.2.1.armv7hl and glibc-2.15-1.1.1.armv7hl installed.

I'm using lates src of mc-4.8.11.

Thanks in advance,

J4ZZ
you need glib2-devel
 

The Following User Says Thank You to For This Useful Post:
Posts: 2,076 | Thanked: 3,251 times | Joined on Feb 2011
#29
Originally Posted by J4ZZ View Post
Could you please explain in detail which version did you pick and how you possibly got around the glib-2.0 error...
If I ./configure it always quits with
Code:
configure: error: glib-2.0 not found or version too old (must be >= 2.12)
although I have glib2-2.32.4-1.2.1.armv7hl and glibc-2.15-1.1.1.armv7hl installed.

I'm using lates src of mc-4.8.11.

Thanks in advance,

J4ZZ
pkcon install glib2-devel
 

The Following 3 Users Say Thank You to szopin For This Useful Post:
Posts: 521 | Thanked: 469 times | Joined on May 2010 @ nanaurbusiness
#30
Edit: ./configure works now but make install doesn't?
Anything else I need to be aware of?

Last lines....
Code:
Making install in skin
make[2]: Entering directory `/home/nemo/Downloads/mc-4.8.11/lib/skin'
make[3]: Entering directory `/home/nemo/Downloads/mc-4.8.11/lib/skin'
make[3]: Nothing to be done for `install-exec-am'.
make[3]: Nothing to be done for `install-data-am'.
make[3]: Leaving directory `/home/nemo/Downloads/mc-4.8.11/lib/skin'
make[2]: Leaving directory `/home/nemo/Downloads/mc-4.8.11/lib/skin'
Making install in tty
make[2]: Entering directory `/home/nemo/Downloads/mc-4.8.11/lib/tty'
  CC       key.lo
key.c: In function 'tty_get_event':
key.c:2121:5: error: 'flag' undeclared (first use in this function)
key.c:2121:5: note: each undeclared identifier is reported only once for each function it appears in
make[2]: *** [key.lo] Error 1
make[2]: Leaving directory `/home/nemo/Downloads/mc-4.8.11/lib/tty'
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory `/home/nemo/Downloads/mc-4.8.11/lib'
make: *** [install-recursive] Error 1
Cheers,

J4ZZ
__________________

N900 ~ $ make me a sandwich
-bash: no, make it yourself
N900 ~ $ sudo make me a sandwich
-bash: ok then...

Last edited by J4ZZ; 2014-01-08 at 20:19.
 

The Following 2 Users Say Thank You to J4ZZ For This Useful Post:
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 11:54.